Subject: bug#36313: Two installation schemes of AUCTeX

From: David Kastrup <[email-masked]>
Date: Mon, 01 Jul 2019 22:45:05 +0200

Ikumi Keita <[email-masked]> writes:

>>>>>> Ryo Furue <[email-masked]> writes:
>> I'm utterly confused!  I thought the starting point of our discussion was
>
>> If the default value of `TeX-parse-self' is t, some emacs users who don't
>> use AUCTeX will suffer from extra slow down due to the parsing of some
>> directory tree.
>
>> Is the above statement correct or not?
>
> Actually, I'm not quite sure what David worries about in the quoted
> statement.
>
> Although I can enumerate some cases as quoted below that non-nil
> `TeX-parse-self' harms the users, they are more or less exceptional
> cases, in my opinion.  But I might be missing some critial cases.
>
> 1. The user who doesn't use AUCTeX opens a big TeX file inadvertently.

Try opening a TeX file via Tramp on a non-local connection.

>> So, I guess those elisp files in item 3 above are big ones.
>
> As far as I know, the item 3 is not the case.  As I wrote, just
> launching emacs without opening TeX files makes no difference due the
> value of `TeX-parse-self', if I'm not missing something important.

The "resident" portion of AUCTeX setting up the autoloads is pretty
small.

> (The elisp files loaded when `TeX-parse-self' is t are not so big in
> general, but the number of them can be large instead, e.g., when the
> opened LaTeX file uses quite many \usepackage's.)

AUCTeX searches around a whole lot for finding associated autoparsed
files in relation to files it loads.

-- 
David Kastrup